Solr GraphDB Connector

Version 1 by Pavel Mihaylov
on Jul 02, 2015 17:57.

compared with
Current by Pavel Mihaylov
on Aug 03, 2015 16:47.

Key
This line was removed.
This word was removed. This word was added.
This line was added.

Changes (3)

View Page History
h2. Prerequisites

This release introduces support for the Solr GraphDB Connector in a GraphDB Cluster. As the connector works at a lower level than the cluster synchronisation, it requires a transactional entity pool (to ensure entity IDs are consistent within the cluster). The default entity pool is a non-transactional one. Please, refer to [GraphDB-SE Entity Pool] to enable a transactional entity pool.
The Solr GraphDB Connector requires the [GraphDB Enterprise|GraphDB-Enterprise] edition. If you only have [GraphDB SE|GraphDB-SE], please check out the [Lucene GraphDB Connector] instead.

The connector works at a lower level than the cluster synchronisation and thus it requires a transactional entity pool (to ensure entity IDs are consistent within the cluster). The default entity pool is a non-transactional one. Please, refer to [GraphDB-SE Entity Pool] to enable a transactional entity pool.

{note}
Note that GraphDB does not allow creation of a connector instance, if the wrong entity pool is used.